/* ===evalI2.c===
 * 
 * evaluates I(x,y,z) from hep-ph/0501132
 *
 * takes the following arguments
 *
 *   x, y, z squared masses
 *   qq renormalisation scale squared
 *
 * prints the value of I(x,y,z) to stdout
 *
 */

#include <stdio.h>
#include "tsil.h"

long double strtold( const char *, char** );

int main( int argc, char *argv[] )
{
  TSIL_REAL x, y, z;
  TSIL_REAL s, qq;
  TSIL_COMPLEX Ixyz;
  if( argc != 5 )
    TSIL_Error( "EvalI2", "Need 4 arguments: m1^2, m2^2, m3^2, mu^2", 1);

  x = (TSIL_REAL) strtold( argv[1], (char **) NULL );
  y = (TSIL_REAL) strtold( argv[2], (char **) NULL );
  z = (TSIL_REAL) strtold( argv[3], (char **) NULL );

  qq = (TSIL_REAL) strtold( argv[4], (char **) NULL );

  Ixyz = TSIL_I2( x, y, z, qq );

  printf( "%lf + %lf I\n", (double) creal(Ixyz), cimag(Ixyz) );

  return 0;
}
